Bug 963962 - An install method must be specified
An install method must be specified
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 17:43 EDT by Brian J. Murrell
Modified: 2014-02-05 16:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:24:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian J. Murrell 2013-05-16 17:43:06 EDT
Description of problem:

Trying to use koan results in an error because virt-install does not include the source location with the --location argument.

Version-Release number of selected component (if applicable):
2.4.0-beta3.fc18.1.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create a cobbler profile
2. Try to install it with:
koan --server cobbler_server --virt --profile=my_profile
3. Observe failure
  
Actual results:
ERROR    
An install method must be specified
(--location URL, --cdrom CD/ISO, --pxe, --import, --boot hd|cdrom|...)
command failed (1)

Expected results:
Koan builds an image.

Additional info:

Run and failure transcript:

# koan --server cobbler_server --virt --profile=my_profile
- looking for Cobbler at http://cobbler_server:80/cobbler_api
- reading URL: http://1.2.3.129/cblr/svc/op/ks/profile/my_profile
install_tree: http://1.2.3.129/cblr/links/distro-1.0-x86_64
- ['qemu-img', 'create', '-f', 'qcow2', '/var/lib/libvirt/images//Thu_May_16_21_27_48_2013-disk0', '20G']
Formatting '/var/lib/libvirt/images//Thu_May_16_21_27_48_2013-disk0', fmt=qcow2 size=21474836480 encryption=off cluster_size=65536 lazy_refcounts=off 
diable_boot_opt == False
- adding disk: /var/lib/libvirt/images//Thu_May_16_21_27_48_2013-disk0 of size 20 (driver type=qcow2)
- ['virt-install', '--connect', 'qemu:///system', '--name', 'Thu_May_16_21_27_48_2013', '--ram', '1024', '--vcpus', '1', '--autostart', '--vnc', '--virt-type', 'kvm', '--machine', 'pc', '--extra-args=ksdevice=link lang= sshd=1 console=tty0 console=ttyS0,115200 text ks=http://1.2.3.129/cblr/svc/op/ks/profile/my_profile kssendmac ', '--arch', 'x86_64', '--os-variant', 'rhel6', '--disk', 'path=/var/lib/libvirt/images//Thu_May_16_21_27_48_2013-disk0,size=20,driver_type=qcow2', '--network', 'bridge=virbr0', '--wait', '0', '--noautoconsole']
ERROR    
An install method must be specified
(--location URL, --cdrom CD/ISO, --pxe, --import, --boot hd|cdrom|...)
command failed (1)

This issue appears to be discussed here:

https://github.com/cobbler/cobbler/issues/267

and fixed here: 

https://github.com/cobbler/cobbler/issues/455

and I can confirm that the patch in issue #455 above does fix the problem here.
Comment 1 Orion Poplawski 2013-12-16 15:44:28 EST
koan is a sub-package of cobbler
Comment 2 Fedora End Of Life 2013-12-21 08:35:00 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:24:52 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.